package cpcns.danganzhengli.zhongdahuodong.model;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.fasterxml.jackson.annotation.JsonFormat;
import cpcns.utils.DateUtil;
import java.io.Serializable;
import java.util.Date;

public class ZhongDaHuoDong implements Serializable {
  private static final long serialVersionUID = 3L;
  
  private Integer hangBiaoShi;
  
  private String danWeiMingCheng;
  
  private Integer danWeiBiaoShi;
  
  private String huoDongMingCheng;
  
  @JsonFormat(pattern = "yyyyMMdd")
  private Date huoDongRiQi;
  
  private String yuanFenLeiHao;
  
  private String fenLeiHao;
  
  private Integer xuHao;
  
  private String quanZongHao;
  
  private String xiangGuanRenYuan;
  
  private Integer huoDongDanZhuangTai;
  
  private String dengJiRenMingCheng;
  
  private Integer dengJiRenBiaoShi;
  
  @JsonFormat(pattern = "yyyyMMdd")
  private Date dengJiRiQi;
  
  private String yiJiaoRenMingCheng;
  
  private Integer yiJiaoRenBiaoShi;
  
  private String yiJiaoFuZeRenMingCheng;
  
  private Integer yiJiaoFuZeRenBiaoShi;
  
  private String yiJiaoJingBanRenMingCheng;
  
  private Integer yiJiaoJingBanRenBiaoShi;
  
  @JsonFormat(pattern = "yyyyMMdd")
  private Date yiJiaoRiQi;
  
  private String jieShouRenMingCheng;
  
  private Integer jieShouRenBiaoShi;
  
  private String jieShouFuZeRenMingCheng;
  
  private Integer jieShouFuZeRenBiaoShi;
  
  @JsonFormat(pattern = "yyyyMMdd")
  private Date jieShouRiQi;
  
  private String jianChaRenMingCheng;
  
  private Integer jianChaRenBiaoShi;
  
  private String jianChaFuZeRenMingCheng;
  
  private Integer jianChaFuZeRenBiaoShi;
  
  @JsonFormat(pattern = "yyyyMMdd")
  private Date jianChaRiQi;
  
  private String beiYongZiFu;
  
  private Integer beiYongZi;
  
  private String xieBanDanWei;
  
  private String yiJiaoPiCi;
  
  private String boHuiYuanYin;
  
  private String guiDangNianDu;
  
  @JsonFormat(pattern = "yyyyMMdd")
  private Date huoDongRiQiZhi;
  
  private String heHao;
  
  private String zeRenZhe;
  
  private String baoGuanQiXian;
  
  private String hdrq;
  
  private String hdrqz;
  
  public String getHeHao() {
    return this.heHao;
  }
  
  public void setHeHao(String heHao) {
    this.heHao = heHao;
  }
  
  public String getZeRenZhe() {
    return this.zeRenZhe;
  }
  
  public void setZeRenZhe(String zeRenZhe) {
    this.zeRenZhe = zeRenZhe;
  }
  
  public String getBaoGuanQiXian() {
    return this.baoGuanQiXian;
  }
  
  public void setBaoGuanQiXian(String baoGuanQiXian) {
    this.baoGuanQiXian = baoGuanQiXian;
  }
  
  public String getHdrq() {
    String rq = "";
    if (getHuoDongRiQi() != null) {
      String[] rqs = DateUtil.getDate(getHuoDongRiQi()).split("-");
      rq = String.valueOf(rqs[0]) + rqs[1] + rqs[2];
    } 
    return rq;
  }
  
  public void setHdrq(String hdrq) {
    this.hdrq = hdrq;
  }
  
  public String getHdrqz() {
    String rq = "";
    if (getHuoDongRiQiZhi() != null) {
      String[] rqs = DateUtil.getDate(getHuoDongRiQiZhi()).split("-");
      rq = String.valueOf(rqs[0]) + rqs[1] + rqs[2];
    } 
    return rq;
  }
  
  public void setHdrqz(String hdrqz) {
    this.hdrqz = hdrqz;
  }
  
  public Integer getHangBiaoShi() {
    return this.hangBiaoShi;
  }
  
  public void setHangBiaoShi(Integer hangBiaoShi) {
    this.hangBiaoShi = hangBiaoShi;
  }
  
  public String getDanWeiMingCheng() {
    return this.danWeiMingCheng;
  }
  
  public void setDanWeiMingCheng(String danWeiMingCheng) {
    this.danWeiMingCheng = danWeiMingCheng;
  }
  
  public Integer getDanWeiBiaoShi() {
    return this.danWeiBiaoShi;
  }
  
  public void setDanWeiBiaoShi(Integer danWeiBiaoShi) {
    this.danWeiBiaoShi = danWeiBiaoShi;
  }
  
  public String getHuoDongMingCheng() {
    return this.huoDongMingCheng;
  }
  
  public void setHuoDongMingCheng(String huoDongMingCheng) {
    this.huoDongMingCheng = huoDongMingCheng;
  }
  
  @JsonFormat(pattern = "yyyy-MM-dd")
  public Date getHuoDongRiQi() {
    return this.huoDongRiQi;
  }
  
  @JsonFormat(pattern = "yyyy-MM-dd")
  public void setHuoDongRiQi(Date huoDongRiQi) {
    this.huoDongRiQi = huoDongRiQi;
  }
  
  @JsonFormat(pattern = "yyyy-MM-dd")
  public Date getHuoDongRiQiZhi() {
    return this.huoDongRiQiZhi;
  }
  
  @JsonFormat(pattern = "yyyy-MM-dd")
  public void setHuoDongRiQiZhi(Date huoDongRiQiZhi) {
    this.huoDongRiQiZhi = huoDongRiQiZhi;
  }
  
  public String getYuanFenLeiHao() {
    return this.yuanFenLeiHao;
  }
  
  public void setYuanFenLeiHao(String yuanFenLeiHao) {
    this.yuanFenLeiHao = yuanFenLeiHao;
  }
  
  public String getFenLeiHao() {
    return this.fenLeiHao;
  }
  
  public void setFenLeiHao(String fenLeiHao) {
    this.fenLeiHao = fenLeiHao;
  }
  
  public Integer getXuHao() {
    return this.xuHao;
  }
  
  public void setXuHao(Integer xuHao) {
    this.xuHao = xuHao;
  }
  
  public String getQuanZongHao() {
    return this.quanZongHao;
  }
  
  public void setQuanZongHao(String quanZongHao) {
    this.quanZongHao = quanZongHao;
  }
  
  public String getXiangGuanRenYuan() {
    return this.xiangGuanRenYuan;
  }
  
  public void setXiangGuanRenYuan(String xiangGuanRenYuan) {
    this.xiangGuanRenYuan = xiangGuanRenYuan;
  }
  
  public Integer getHuoDongDanZhuangTai() {
    return this.huoDongDanZhuangTai;
  }
  
  public void setHuoDongDanZhuangTai(Integer huoDongDanZhuangTai) {
    this.huoDongDanZhuangTai = huoDongDanZhuangTai;
  }
  
  public String getDengJiRenMingCheng() {
    return this.dengJiRenMingCheng;
  }
  
  public void setDengJiRenMingCheng(String dengJiRenMingCheng) {
    this.dengJiRenMingCheng = dengJiRenMingCheng;
  }
  
  public Integer getDengJiRenBiaoShi() {
    return this.dengJiRenBiaoShi;
  }
  
  public void setDengJiRenBiaoShi(Integer dengJiRenBiaoShi) {
    this.dengJiRenBiaoShi = dengJiRenBiaoShi;
  }
  
  public Date getDengJiRiQi() {
    return this.dengJiRiQi;
  }
  
  public void setDengJiRiQi(Date dengJiRiQi) {
    this.dengJiRiQi = dengJiRiQi;
  }
  
  public String getYiJiaoRenMingCheng() {
    return this.yiJiaoRenMingCheng;
  }
  
  public void setYiJiaoRenMingCheng(String yiJiaoRenMingCheng) {
    this.yiJiaoRenMingCheng = yiJiaoRenMingCheng;
  }
  
  public Integer getYiJiaoRenBiaoShi() {
    return this.yiJiaoRenBiaoShi;
  }
  
  public void setYiJiaoRenBiaoShi(Integer yiJiaoRenBiaoShi) {
    this.yiJiaoRenBiaoShi = yiJiaoRenBiaoShi;
  }
  
  public String getYiJiaoFuZeRenMingCheng() {
    return this.yiJiaoFuZeRenMingCheng;
  }
  
  public void setYiJiaoFuZeRenMingCheng(String yiJiaoFuZeRenMingCheng) {
    this.yiJiaoFuZeRenMingCheng = yiJiaoFuZeRenMingCheng;
  }
  
  public Integer getYiJiaoFuZeRenBiaoShi() {
    return this.yiJiaoFuZeRenBiaoShi;
  }
  
  public void setYiJiaoFuZeRenBiaoShi(Integer yiJiaoFuZeRenBiaoShi) {
    this.yiJiaoFuZeRenBiaoShi = yiJiaoFuZeRenBiaoShi;
  }
  
  public String getYiJiaoJingBanRenMingCheng() {
    return this.yiJiaoJingBanRenMingCheng;
  }
  
  public void setYiJiaoJingBanRenMingCheng(String yiJiaoJingBanRenMingCheng) {
    this.yiJiaoJingBanRenMingCheng = yiJiaoJingBanRenMingCheng;
  }
  
  public Integer getYiJiaoJingBanRenBiaoShi() {
    return this.yiJiaoJingBanRenBiaoShi;
  }
  
  public void setYiJiaoJingBanRenBiaoShi(Integer yiJiaoJingBanRenBiaoShi) {
    this.yiJiaoJingBanRenBiaoShi = yiJiaoJingBanRenBiaoShi;
  }
  
  public Date getYiJiaoRiQi() {
    return this.yiJiaoRiQi;
  }
  
  public void setYiJiaoRiQi(Date yiJiaoRiQi) {
    this.yiJiaoRiQi = yiJiaoRiQi;
  }
  
  public String getJieShouRenMingCheng() {
    return this.jieShouRenMingCheng;
  }
  
  public void setJieShouRenMingCheng(String jieShouRenMingCheng) {
    this.jieShouRenMingCheng = jieShouRenMingCheng;
  }
  
  public Integer getJieShouRenBiaoShi() {
    return this.jieShouRenBiaoShi;
  }
  
  public void setJieShouRenBiaoShi(Integer jieShouRenBiaoShi) {
    this.jieShouRenBiaoShi = jieShouRenBiaoShi;
  }
  
  public String getJieShouFuZeRenMingCheng() {
    return this.jieShouFuZeRenMingCheng;
  }
  
  public void setJieShouFuZeRenMingCheng(String jieShouFuZeRenMingCheng) {
    this.jieShouFuZeRenMingCheng = jieShouFuZeRenMingCheng;
  }
  
  public Integer getJieShouFuZeRenBiaoShi() {
    return this.jieShouFuZeRenBiaoShi;
  }
  
  public void setJieShouFuZeRenBiaoShi(Integer jieShouFuZeRenBiaoShi) {
    this.jieShouFuZeRenBiaoShi = jieShouFuZeRenBiaoShi;
  }
  
  public Date getJieShouRiQi() {
    return this.jieShouRiQi;
  }
  
  public void setJieShouRiQi(Date jieShouRiQi) {
    this.jieShouRiQi = jieShouRiQi;
  }
  
  public String getJianChaRenMingCheng() {
    return this.jianChaRenMingCheng;
  }
  
  public void setJianChaRenMingCheng(String jianChaRenMingCheng) {
    this.jianChaRenMingCheng = jianChaRenMingCheng;
  }
  
  public Integer getJianChaRenBiaoShi() {
    return this.jianChaRenBiaoShi;
  }
  
  public void setJianChaRenBiaoShi(Integer jianChaRenBiaoShi) {
    this.jianChaRenBiaoShi = jianChaRenBiaoShi;
  }
  
  public String getJianChaFuZeRenMingCheng() {
    return this.jianChaFuZeRenMingCheng;
  }
  
  public void setJianChaFuZeRenMingCheng(String jianChaFuZeRenMingCheng) {
    this.jianChaFuZeRenMingCheng = jianChaFuZeRenMingCheng;
  }
  
  public Integer getJianChaFuZeRenBiaoShi() {
    return this.jianChaFuZeRenBiaoShi;
  }
  
  public void setJianChaFuZeRenBiaoShi(Integer jianChaFuZeRenBiaoShi) {
    this.jianChaFuZeRenBiaoShi = jianChaFuZeRenBiaoShi;
  }
  
  public Date getJianChaRiQi() {
    return this.jianChaRiQi;
  }
  
  public void setJianChaRiQi(Date jianChaRiQi) {
    this.jianChaRiQi = jianChaRiQi;
  }
  
  public String getBeiYongZiFu() {
    return this.beiYongZiFu;
  }
  
  public void setBeiYongZiFu(String beiYongZiFu) {
    this.beiYongZiFu = beiYongZiFu;
  }
  
  public Integer getBeiYongZi() {
    return this.beiYongZi;
  }
  
  public void setBeiYongZi(Integer beiYongZi) {
    this.beiYongZi = beiYongZi;
  }
  
  public String getXieBanDanWei() {
    return this.xieBanDanWei;
  }
  
  public void setXieBanDanWei(String xieBanDanWei) {
    this.xieBanDanWei = xieBanDanWei;
  }
  
  public String getYiJiaoPiCi() {
    return this.yiJiaoPiCi;
  }
  
  public void setYiJiaoPiCi(String yiJiaoPiCi) {
    this.yiJiaoPiCi = yiJiaoPiCi;
  }
  
  public String getBoHuiYuanYin() {
    return this.boHuiYuanYin;
  }
  
  public void setBoHuiYuanYin(String boHuiYuanYin) {
    this.boHuiYuanYin = boHuiYuanYin;
  }
  
  public String getGuiDangNianDu() {
    return this.guiDangNianDu;
  }
  
  public void setGuiDangNianDu(String guiDangNianDu) {
    this.guiDangNianDu = guiDangNianDu;
  }
}
